summaryrefslogtreecommitdiffstats
path: root/Utilities/Release/release_cmake.sh.in
diff options
context:
space:
mode:
authorDavid Cole <david.cole@kitware.com>2011-06-02 02:32:42 (GMT)
committerDavid Cole <david.cole@kitware.com>2011-06-02 18:36:14 (GMT)
commitb43af94af1c3f80237fd9889bd5a48e02e279f17 (patch)
tree94af7860b77c56a22488335ce7d2d63000176830 /Utilities/Release/release_cmake.sh.in
parent8af1eaf499cb539719fa1698ea3031a70a861728 (diff)
downloadCMake-b43af94af1c3f80237fd9889bd5a48e02e279f17.zip
CMake-b43af94af1c3f80237fd9889bd5a48e02e279f17.tar.gz
CMake-b43af94af1c3f80237fd9889bd5a48e02e279f17.tar.bz2
CMake: eliminate use of cvs in the Release scripts
Set GIT_COMMAND to "git" -- each machine involved in building the CMake release binaries has the right "git" in the PATH. Separate the release scripts into two batches so we can build multiple releases on the same machine, in serial, if necessary. We currnetly do this with the Windows and Cygwin release binaries on dash2win64. Sort the files to be uploaded, so that sorting them by modification time (file copy / upload time) is equivalent to sorting them alphabetically.
Diffstat (limited to 'Utilities/Release/release_cmake.sh.in')
-rwxr-xr-xUtilities/Release/release_cmake.sh.in6
1 files changed, 2 insertions, 4 deletions
diff --git a/Utilities/Release/release_cmake.sh.in b/Utilities/Release/release_cmake.sh.in
index 8455e92..50882c5 100755
--- a/Utilities/Release/release_cmake.sh.in
+++ b/Utilities/Release/release_cmake.sh.in
@@ -93,10 +93,8 @@ if [ ! -z "@GIT_COMMAND@" ]; then
check_exit_value $? "git checkout" || exit 1
cd ..
else
- # for CVS just run the CMAKE_CHECKOUT command as set
- # in release_cmake.cmake
- @CMAKE_CHECKOUT@
- check_exit_value $? "CVS Checkout cmake source" || exit 1
+ echo GIT_COMMAND does not exist
+ exit 1
fi
cd @CMAKE_RELEASE_DIRECTORY@/@CMAKE_CREATE_VERSION@-build